Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class AbstractAgentGroup

    java.lang.Object
      ix.ispace.AbstractAgentGroup

All Implemented Interfaces:
  AgentGroup

Direct Known Subclasses:
  RelationshipGroup

    public abstract class AbstractAgentGroup

extends java.lang.Object
implements AgentGroup

A base class that can support both intensionally and extensionally secified groups.

Field Summary
`(package private) ContactManager` | `contactManager`
`(package private) java.lang.String` | `name`

Constructor Summary
`AbstractAgentGroup(java.lang.String name, ContactManager cm)`

Method Summary
`java.util.Collection` | `getBasePopulation()` Returns the collection of AgentData objects from which this group's members are selected.
`java.util.Collection` | `getKnownMembers()` Returns the collection obtained by using the isMember method to filter the base population.
`java.lang.String` | `getName()` Returns the name of this AgentGroup.
`boolean` | `isMember(java.lang.Object item)` A test that is applied to members of the base population to select the members of this group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### contactManager

    ContactManager contactManager

Constructor Detail

### AbstractAgentGroup

    public AbstractAgentGroup(java.lang.String name,
                              ContactManager cm)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this AgentGroup.

  Specified by:
    `getName` in interface `AgentGroup`

### getBasePopulation

    public java.util.Collection getBasePopulation()

  Returns the collection of AgentData objects from which this group's members are selected. The implementation in this class returns the full collection of agents known to the contact manager. Note that a Collection object is always returned, never `null`.

  See Also:
    `AgentData`, `ContactManager.getAgentData()`

### isMember

    public boolean isMember(java.lang.Object item)

  A test that is applied to members of the base population to select the members of this group. The implementation in this class always returns true.

### getKnownMembers

    public java.util.Collection getKnownMembers()

  Returns the collection obtained by using the isMember method to filter the base population.

  Specified by:
    `getKnownMembers` in interface `AgentGroup`
  See Also:
    `AgentData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD